Fulfillment & ShippingRates
Update shipping rate
Updates a shipping rate's zone, pricing formula, limits, postal codes, tax, surcharge, and active state.
PUT
/v1/shipping/rates/{id}Updates a shipping rate's zone, pricing formula, limits, postal codes, tax, surcharge, and active state.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/shipping/rates/7204558912004325301" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "shippingMethodId": "7204558912004325301", "type": "flat", "zoneCode": "example_code", "price": 1, "currency": "PEN", "minOrderPrice": 1, "maxOrderPrice": 1, "postalCodes": [ "example" ] }'Empty